﻿Public Class StatutMembre
    Implements INotifyPropertyChanged

    Private m_ID As String
    Private m_Libelle As String

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Public Sub New()

    End Sub

    Public Sub New(ByVal libelle As String)
        Me.Libelle = libelle
        Me.ID = System.Guid.NewGuid().ToString
    End Sub

    Public Property ID() As String
        Get
            Return m_ID
        End Get
        Set(ByVal value As String)
            m_ID = value
            OnPropertyChanged("ID")
        End Set
    End Property

    Public Property Libelle() As String
        Get
            Return m_Libelle
        End Get
        Set(ByVal value As String)
            m_Libelle = value
            OnPropertyChanged("Libelle")
        End Set
    End Property

    Protected Sub OnPropertyChanged(ByVal name As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
    End Sub

End Class

