﻿Public Class Ville
    Implements INotifyPropertyChanged

    Private m_ID As String
    Private m_Nom As String
    Private m_CodePostal As String
    Private m_View As ListCollectionView

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Public Sub New()

    End Sub

    Public Sub New(ByVal name As String, ByVal cp As String)
        Me.ID = System.Guid.NewGuid().ToString
        Me.Nom = name
        Me.CodePostal = cp
    End Sub

    Public Property ID() As String
        Get
            Return m_ID
        End Get
        Set(ByVal value As String)
            m_ID = value

            OnPropertyChanged("ID")
        End Set
    End Property

    Public Property Nom() As String
        Get
            Return m_Nom
        End Get
        Set(ByVal value As String)
            m_Nom = value
            OnPropertyChanged("Nom")
        End Set
    End Property

    Public Property CodePostal() As String
        Get
            Return m_CodePostal
        End Get
        Set(ByVal value As String)
            m_CodePostal = value
            OnPropertyChanged("CodePostal")
        End Set
    End Property

    Public Property View() As ListCollectionView
        Get
            Return m_View
        End Get
        Set(ByVal value As ListCollectionView)
            m_View = value
            OnPropertyChanged("View")
        End Set
    End Property

    Protected Sub OnPropertyChanged(ByVal name As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
    End Sub
End Class
