﻿Class Window1 
    Private MaMembreList As New MembreList
    Private MaVilleList As New VilleList
    Private MyVilleFiltre As VilleByCPFiltre
    Private MyViewVille As ListCollectionView = CType(CollectionViewSource.GetDefaultView(MaVilleList), ListCollectionView)
    Private MaStatutList As New StatutMembreList
    
    Private Sub btnFermer_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnFermer.Click
        Me.Close()
    End Sub

    Private Sub Membres_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        MaStatutList.Add(New StatutMembre("Employé"))
        MaStatutList.Add(New StatutMembre("Joueur"))
        MaStatutList.Add(New StatutMembre("Membre honoraire"))
        MaStatutList.Add(New StatutMembre("Membre non joueur"))

        MaMembreList.GetList()
        MaVilleList.GetList()
        lstMembres.ItemsSource = MaMembreList
        cboStatut.ItemsSource = MaStatutList
        txtTest.Inlines.Add(New Run("Binding = " & BindingOperations.GetBindingExpression(txtCodePostal, TextBox.TextProperty).Status.ToString))
        txtTest.Inlines.Add(New LineBreak)
            End Sub

    Private Sub txtCodePostal_TextChanged(ByVal sender As System.Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtCodePostal.TextChanged

        

        If txtCodePostal.Text.Length = 5 Then

            Using MyViewVille.DeferRefresh
                MyVilleFiltre = New VilleByCPFiltre(txtCodePostal.Text)
                MyViewVille.Filter = New Predicate(Of Object)(AddressOf MyVilleFiltre.FilterItem)
                MyViewVille.SortDescriptions.Add(New SortDescription("Nom", ListSortDirection.Ascending))
            End Using

            If MyViewVille.Count > 0 Then
                'If the zip code exists, we bind the combobox to the CollectionView :
                cboVille.ItemsSource = MyViewVille
                CType(lstMembres.SelectedItem, Membre).Ville.View = MyViewVille
                
                cboVille.IsEnabled = True
                cboVille.IsDropDownOpen = False
                cboVille.Focus()

            Else
                'If the zip code doesn't exist, it is set to one that does
                txtCodePostal.Text = "01000"
            End If
        ElseIf txtCodePostal.Text.Length < 5 Then
            cboVille.IsDropDownOpen = False
            cboVille.IsEnabled = False
        End If
    End Sub

    Private Sub lstMembres_SelectionChanged(ByVal sender As System.Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles lstMembres.SelectionChanged

        MyViewVille.Refresh()
        
		'For debugging :
        txtTest.Text = String.Empty
        txtTest.Inlines.Add(New Run(CType(lstMembres.SelectedItem, Membre).Nom))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Ville.ID = " & CType(lstMembres.SelectedItem, Membre).Ville.ID))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Ville.Nom = " & CType(lstMembres.SelectedItem, Membre).Ville.Nom))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Ville.CodePostal = " & CType(lstMembres.SelectedItem, Membre).Ville.CodePostal))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("---------------------------------------"))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Statut.ID = " & CType(lstMembres.SelectedItem, Membre).Statut.ID))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Statut.Libelle = " & CType(lstMembres.SelectedItem, Membre).Statut.Libelle))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Binding = " & BindingOperations.GetBindingExpression(txtCodePostal, TextBox.TextProperty).Status.ToString))
        txtTest.Inlines.Add(New LineBreak)
        txtTest.Inlines.Add(New Run("Binding = " & BindingOperations.GetBindingExpression(txtCodePostal, TextBox.TextProperty).ToString))
        txtTest.Inlines.Add(New LineBreak)
    End Sub

End Class
